
From: Mike Waychison <Michael.Waychison@Sun.COM>

Export complete_all for module use.


---

 25-akpm/kernel/sched.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN kernel/sched.c~export-complete_all kernel/sched.c
--- 25/kernel/sched.c~export-complete_all	2004-03-25 00:51:57.989497952 -0800
+++ 25-akpm/kernel/sched.c	2004-03-25 00:51:57.994497192 -0800
@@ -2197,7 +2197,6 @@ void fastcall __wake_up_sync(wait_queue_
 		__wake_up_common(q, mode, nr_exclusive, 0);
 	spin_unlock_irqrestore(&q->lock, flags);
 }
-
 EXPORT_SYMBOL_GPL(__wake_up_sync);	/* For internal use only */
 
 void fastcall complete(struct completion *x)
@@ -2210,7 +2209,6 @@ void fastcall complete(struct completion
 			 1, 0);
 	spin_unlock_irqrestore(&x->wait.lock, flags);
 }
-
 EXPORT_SYMBOL(complete);
 
 void fastcall complete_all(struct completion *x)
@@ -2223,6 +2221,7 @@ void fastcall complete_all(struct comple
 			 0, 0);
 	spin_unlock_irqrestore(&x->wait.lock, flags);
 }
+EXPORT_SYMBOL(complete_all);
 
 void fastcall wait_for_completion(struct completion *x)
 {
@@ -2244,7 +2243,6 @@ void fastcall wait_for_completion(struct
 	x->done--;
 	spin_unlock_irq(&x->wait.lock);
 }
-
 EXPORT_SYMBOL(wait_for_completion);
 
 #define	SLEEP_ON_VAR					\

_
